### Method

# FwupdPlugin Context load_hwinfo

#### Declaration [src]

    gboolean
    fu_context_load_hwinfo (
      FuContext* self,
      FuProgress* progress,
      FuContextHwidFlags flags,
      GError** error
    )

#### Description [src]

Loads all hardware information parts of the context.

Available since: | 1.8.10

#### Parameters

`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`flags` | `FuContextHwidFlags`
| A `FuContextHwidFlags`, e.g. `FU_CONTEXT_HWID_FLAG_LOAD_SMBIOS`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.